<?php

namespace App\Observers;

use App\Models\SecurityManagement\Role;
use Illuminate\Support\Facades\DB;

class RoleObserver{

    /** Efface definitivement le rôle
     * @param Role $role
     */
    public function forceDeleted(Role $role){
        $tableNames = config('permission.table_names'); // [array]
        $role_id = $role->id;

        //supprime les liaisons avec les autres models
        DB::table($tableNames['model_has_roles'])
            ->where('role_id',$role_id)
            ->delete();

        //supprime les liaisons avec les permissions
        DB::table($tableNames['role_has_permissions'])
            ->where('role_id',$role_id)
            ->delete();
    }
}
